<?xml version="1.0" encoding="utf-8"?>
<layout>
    <androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:id="@+id/intro_bg"
        android:layout_height="match_parent"
        tools:context=".activity.Intro">

        <WebView
            android:id="@+id/hidden_web"
            android:layout_margin="60dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"/>



        <WebView
            android:id="@+id/menu_web"
            android:layout_margin="20dp"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintBottom_toTopOf="@id/btn_left"
            app:layout_constraintTop_toBottomOf="@id/textview_title" />




        <androidx.constraintlayout.utils.widget.ImageFilterButton
            android:id="@+id/btn_home"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/main_top_height"
            android:background="@android:color/transparent"
            android:adjustViewBounds="true"
            android:scaleType="fitCenter"
            android:src="@drawable/home"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="MissingConstraints" />


        <TextView
            android:id="@+id/textview_title"
            android:layout_width="0dp"
            android:layout_height="@dimen/main_top_height"
            android:text="@string/app_name"
            android:gravity="center"
            android:textSize="24sp"
            app:layout_constraintRight_toLeftOf="@id/btn_list"
            app:layout_constraintLeft_toRightOf="@id/btn_home"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.utils.widget.ImageFilterButton
            android:background="@android:color/transparent"
            android:id="@+id/btn_list"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/main_top_height"
            android:adjustViewBounds="true"
            android:scaleType="centerInside"
            android:src="@drawable/bookmark"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintLeft_toRightOf="@id/textview_title"
            app:layout_constraintRight_toLeftOf="@+id/btn_history"
            app:layout_constraintHorizontal_chainStyle="spread_inside"
            />

        <!--    <androidx.constraintlayout.utils.widget.ImageFilterButton-->
        <!--        android:id="@+id/btn_rotate"-->
        <!--        android:layout_width="wrap_content"-->
        <!--        android:layout_height="@dimen/main_top_height"-->
        <!--        android:adjustViewBounds="true"-->
        <!--        android:scaleType="centerInside"-->
        <!--        android:visibility="gone"-->
        <!--        android:src="@drawable/rotation"-->
        <!--        android:background="#8FFF"-->
        <!--        app:layout_constraintTop_toTopOf="parent"-->
        <!--        app:layout_constraintLeft_toRightOf="@id/btn_list"-->
        <!--        app:layout_constraintRight_toLeftOf="@+id/btn_history"-->
        <!--        app:layout_constraintHorizontal_chainStyle="spread_inside"-->
        <!--        />-->

        <androidx.constraintlayout.utils.widget.ImageFilterButton
            android:id="@+id/btn_history"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/main_top_height"
            android:adjustViewBounds="true"
            android:scaleType="fitCenter"
            android:src="@drawable/saved"
            android:background="@android:color/transparent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintHorizontal_chainStyle="spread_inside"
            />

        <androidx.constraintlayout.utils.widget.ImageFilterButton
            android:id="@+id/btn_left"
            android:layout_width="wrap_content"
            android:background="@android:color/transparent"
            android:layout_height="@dimen/main_top_height"
            android:tag="1"
            android:adjustViewBounds="true"
            android:scaleType="fitCenter"

            android:text="@string/display_the_second_screen"
            android:visibility="visible"
            android:src="@drawable/angle_left"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintHorizontal_chainStyle="spread"
            />

        <androidx.constraintlayout.utils.widget.ImageFilterButton
            android:id="@+id/btn_setting"
            android:layout_width="wrap_content"
            android:src="@drawable/settings"
            android:layout_height="@dimen/main_top_height"
            android:scaleType="fitCenter"
            android:adjustViewBounds="true"
            android:background="@android:color/transparent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toRightOf="@+id/btn_left"
            app:layout_constraintRight_toLeftOf="@+id/btn_right"
            app:layout_constraintHorizontal_chainStyle="spread"
            />

        <androidx.constraintlayout.utils.widget.ImageFilterButton
            android:id="@+id/btn_right"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/main_top_height"
            android:layout_marginStart="16dp"
            android:tag="0"
            android:background="@android:color/transparent"
            android:src="@drawable/angle_right"
            android:adjustViewBounds="true"
            android:scaleType="fitCenter"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintHorizontal_chainStyle="spread" />


        <com.mime.dualscreenview.view.PagedTextLayout
            android:id="@+id/paged_layer"
            android:layout_margin="1dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:visibility="gone"
            android:elevation="5dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintBottom_toTopOf="@id/btn_setting"
            app:layout_constraintTop_toBottomOf="@id/textview_title" />

        <ProgressBar
            android:id="@+id/progress"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_gravity="center"
            android:layout_marginTop="48dp"
            android:indeterminate="false"
            android:max="100"
            android:progressBackgroundTint="#FBE7C6"
            android:progressDrawable="@drawable/circle_progressbar"
            android:progressTint="#edbf41"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />



    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>